

import STBB.*;






/**
 *
 *
 * @author  Cheng Guan Koay
 */
public class SampleTest {
    
    
    public SampleTest() {
    }
    
    /**
     *
     * 
     *
     *   
     * 
     */
    public static void main(String[] args) {
         
    
        SheppLogan3D sl3d = new SheppLogan3D();
        
        //    ranges : -1<= x <= 1; 
        //             -1<= y <= 1;
        //             -1<= z <= 1.
         
        double x = -0.25;
        double y =  0.15;
        double z =  0.05;
        
        double idsignal = sl3d.ImageDomainSignal(x,y,z);
    
        
        double kx =  0.25;
        double ky =  0.15;
        double kz =  0.05;
        
        double[] fdsignal = sl3d.FourierDomainSignal(kx,ky,kz);
     
     
     System.out.println("image domain signal at (-0.25,0.15,0.05) is "+idsignal);

     System.out.println("Fourier domain signal at (0.25,0.15,0.05) is "+toString(fdsignal));
     
     
     
     double[][] r = {{-0.25,0.15,0.05},{0.5,0.35,0.5}};
     
     double[]  idsignalArray = sl3d.ImageDomainSignal(r);
     
     double[][] k =  {{-0.25,0.15,0.05},{0.75,0.5,0.5}};
 
     
     double[][] fdsignalArray = sl3d.FourierDomainSignal(k);
    
    
     System.out.println("image domain signals at  {{-0.25,0.15,0.05},{0.5,0.35,0.5}} are "+MAT.toString(idsignalArray));

     System.out.println("Fourier domain signals at  {{-0.25,0.15,0.05},{0.75,0.5,0.5}} are "+toString(fdsignalArray));
     
    
    }
    
    
    	/** 
         *
	 */
	public static String toString(double[] complex)
	{
            double re = complex[0];
            double im = complex[1];
        
            String suffix = "I";
	
		if (im == 0.0)
			return String.valueOf(re);

		if (re == 0.0)
			return String.valueOf(im) + suffix;

		String sign = (im < 0.0) ? "" : "+";
		return (String.valueOf(re) + sign + String.valueOf(im) + suffix);
	}
    
        /**
     * 
     *  This method is for printing out elements of a on the screen.
     *
     *
     *
     */
    public static String toString(double[][] a){

	StringBuffer sb = new StringBuffer();
	char[] separator = { '{', ' '};
        int len = a.length;

	for ( int i = 0; i < len; i++)
	{
		sb.append( separator);
		sb.append( toString(a[i]) );
		separator[0] = ',';
	}

	sb.append('}');

        sb.append(';');
        
        sb.append('\n');
        
	return sb.toString();

    }//end toString()
}
