
%% if you use linux, use this example and change where it's needed.
javaaddpath /home/STBBFolder/JarFile/STBB.jar

%% if you use Windows, use this example and change where it's needed.
%% this example shows that the STBBFolder is directly under C drive (c:\).
%%javaaddpath c:\STBBFolder\JarFile\STBB.jar

%% imports package, this should be correct: No need to change here
import STBB.*


%% Create Java object for SheppLogan3D
sl3d = SheppLogan3D(); 
 
%% get the image domain signal at (-0.25,0.15,0.05).
idsignal = sl3d.ImageDomainSignal(-0.25,0.15,0.05); 


%% get the Fourier domain signal at (0.25,0.15,0.05).
%% 
fdsignal = sl3d.FourierDomainSignal(-0.25,0.15,0.05); 

%% Print

idsignal
fdsignal



